KONSOLEKALENDAR(1)

NAME
konsolekalendar - Command line interface to KDE calendars

SYNOPSIS
konsolekalendar [Qt-options] [KDE-options] [options]

DESCRIPTION
KonsoleKalendar is a command line interface to KDE calendars. It lets you view, insert, remove, or modify calendar events by way of the command line or from a scripting language. Additionally, KonsoleKalendar can create a new KDE calendar, export a KDE calendar to a variety of other formats, and import another KDE calendar.

PROGRAM OPTIONS

--verbose
    Print helpful runtime messages.

--dry-run
    Print what would have been done, but do not execute

--file <calendar-file>
    Specify which calendar you want to use.

Major operation modes:

--view
    Print calendar events in specified export format.

--add
    Insert an event into the calendar.

--change
    Modify an existing calendar event.

--delete
    Remove an existing calendar event.

--create
    Create new calendar file if one does not exist.

--import <import-file>
    Import this calendar to main calendar.

Operation modifiers:

--all
    View all calendar entries

--next
    View next activity in calendar.

--show-next <days>
    From start date show next # days' activities.

--uid <uid>
    Event Unique-string identifier.

--date <start-date>
    Start from this day [YYYY-MM-DD].

--time <start-time>
    Start from this time [HH:MM:SS].

--end-date <end-date>
    End at this day [YYYY-MM-DD].

--end-time <end-time>
    End at this time [HH:MM:SS].

--epoch-start <epoch-time>
    Start from this time [secs since epoch].

--epoch-end <epoch-time>
    End at this time [secs since epoch].

--summary <summary>
    Add summary to event (for add/change modes).

--description <description>
    Add description to event (for add/change modes).

--location <location>
    Add location to event (for add/change modes).

Export options:

--export-type <export-type>
    Export file type (Default: text).

--export-file <export-file>
    Export to file (Default: stdout).

--export-list
    Print list of export types supported and exit.

EXAMPLES
konsolekalendar --view konsolekalendar --add --date 2003-06-04 --time 10:00 --end-time 12:00 --summary "Doctor Visit" --description "Get My Head Examined" konsolekalendar --delete --uid KOrganizer-1740326.803

SEE ALSO
More detailed user documentation is available from help:/konsolekalendar (either enter this URL into konqueror, or run `khelpcenter help:/konsolekalendar').